package com.factory.web.controller;

import com.factory.web.service.remote.UserInfoService;
import com.factory.web.entity.vo.req.UserInsertReq;
import com.factory.web.entity.vo.req.UserLockReq;
import com.factory.web.entity.vo.req.UserPageQueryReq;
import com.factory.web.entity.vo.res.UserRes;
import com.factory.base.entity.aggregates.PageBean;
import com.factory.base.entity.aggregates.ResponseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户管理
 *
 * @author JCM
 * @date 2021/5/13 10:53
 */
@Api(tags = "用户管理")
@RestController
@RequestMapping("/userController")
public class UserController {

    @Autowired
    private UserInfoService userInfoService;

    @ApiOperation("账户列表")
    @PostMapping("/selectUser")
    public ResponseBean<PageBean<UserRes>> selectUser(@RequestBody UserPageQueryReq userPageQueryReq){
        return userInfoService.selectUser(userPageQueryReq);
    }

    @ApiOperation("用户新增")
    @PostMapping("/insertUser")
    public ResponseBean<String> insertUser(@RequestBody UserInsertReq userInsertReq){
        return userInfoService.insertUser(userInsertReq);
    }

    @ApiOperation("用户修改")
    @PostMapping("/updateUser")
    public ResponseBean<String> updateUser(@RequestBody UserInsertReq userInsertReq){
        return userInfoService.updateUser(userInsertReq);
    }

    @ApiOperation("用户禁用")
    @PostMapping("/userLock")
    public ResponseBean<String> userLock(@RequestBody UserLockReq userLockReq){
        return userInfoService.userLock(userLockReq);
    }


}
