package com.factory.web.entity.vo.excel;

import com.factory.web.config.LocalDateTimeConverter;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @program: factory-point-inspection
 * @description:
 * @author: dl
 * @create: 03月12日 15时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class IssueQualityExport {

    @ExcelIgnore
    private Long id;
    /**
     * 中长期责任人
     */
    @ExcelProperty(value = "长期责任人")
    private String longPrincipalName;

    /**
     * 短期责任人
     */
    @ExcelProperty(value = "短期责任人")
    private String shortPrincipalName;
    /**
     * 短期责任部门
     */
    @ExcelProperty(value = "短期责任部门")
    private String shortTimeDepartmentName;

    /**
     * 长期负责部门
     */
    @ExcelProperty(value = "长期负责部门")
    private String longtimeDepartmentName;

    /**
     * 发生时间
     */
    @ExcelProperty(value = "发生时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime startTime;

    /**
     * 问题描述
     */
    @ExcelProperty(value = "问题描述")
    private String detail;

    /**
     * 创建人
     */
    @ExcelProperty(value = "记录人")
    private String createdUsername;

    /**
     * 状态
     */
    @ExcelProperty(value = "状态")
    private String statusValue;
    /**
     * 缺陷类型 对应源系统dict表
     */
    @ExcelProperty(value = "缺陷类型")
    private String defectTypeName;

    /**
     * 过程 对应源系统dict表
     */
    @ExcelProperty(value = "过程")
    private String processName;
    /**
     * 发生地点
     */
    @ExcelProperty(value = "发生地点")
    private String areaName;
    /**
     * 零件选择 对应源系统dict表
     */
    @ExcelProperty(value = "零件选择")
    private String partName;
    /**
     * 完成时间
     */
    @ExcelProperty(value = "完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime finishTime;

    @ExcelProperty(value = "短期措施根本原因")
    private String shortCause;

    @ExcelProperty(value = "短期措施")
    private String shortSolution;

    @ExcelProperty(value = "短期计划完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime shortPlanFinishTime;

    @ExcelProperty(value = "短期实际完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime shortCompletionTime;

    @ExcelProperty(value = "短期措施根本原因")
    private String longCause;

    @ExcelProperty(value = "中长措施")
    private String middleSolution;

    @ExcelProperty(value = "中长计划完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime middlePlanFinishTime;

    @ExcelProperty(value = "中长实际完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime middleCompletionTime;

    @ExcelProperty(value = "长期措施")
    private String longSolution;

    @ExcelProperty(value = "长期计划完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime longPlanFinishTime;

    @ExcelProperty(value = "长期实际完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime longCompletionTime;

}
