package com.factory.web.entity.vo.excel;

import com.factory.web.config.LocalDateTimeConverter;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @program: factory-point-inspection
 * @description:
 * @author: dl
 * @create: 03月12日 15时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class IssueStopExport {

    @ExcelIgnore
    private Long id;

    @ExcelProperty(value = "发生时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime startTime;

    @ExcelProperty(value = "发生地点")
    private String areaName;

    @ExcelProperty(value = "工位")
    private String workstationName;

    @ExcelProperty(value = "项目名称")
    private String projectName;

    @ExcelProperty(value = "零件名称")
    private String partName;

    @ExcelProperty(value = "责任部门")
    private String departmentName;

    @ExcelProperty(value = "停机分组")
    private String stopGroupName;

    @ExcelProperty(value = "停机类型")
    private String stopTypeName;

    @ExcelProperty(value = "SQP类型")
    private String sqpTypeName;

    @ExcelProperty(value = "rank")
    private String rankName;

    @ExcelProperty(value = "停机时长(分钟)")
    private Integer stopTime;

    @ExcelProperty(value = "责任人")
    private String principalName;

    @ExcelProperty(value = "问题描述")
    private String detail;

    @ExcelProperty(value = "记录人")
    private String createdUsername;

    @ExcelProperty(value = "状态")
    private String statusValue;

    @ExcelProperty(value = "完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime finishTime;

    @ExcelProperty(value = "短期措施根本原因")
    private String shortCause;

    @ExcelProperty(value = "短期措施")
    private String shortSolution;

    @ExcelProperty(value = "短期计划完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime shortPlanFinishTime;

    @ExcelProperty(value = "短期实际完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime shortCompletionTime;

    @ExcelProperty(value = "长期措施根本原因")
    private String longCause;

    @ExcelProperty(value = "长期措施")
    private String longSolution;


    @ExcelProperty(value = "长期计划完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime longPlanFinishTime;

    @ExcelProperty(value = "长期实际完成时间", converter = LocalDateTimeConverter.class)
    private LocalDateTime longCompletionTime;

}
