package com.factory.web.entity.vo.res.benteler;

import com.factory.base.entity.vo.req.BaseIdReq;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Time;
import java.time.LocalDateTime;

/**
 * @program: intelligent-factory-service
 * @description:
 * @author: dl
 * @create: 05月19日 08时
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
public class PagePlanRes extends BaseIdReq {
    @ApiModelProperty("计划名称")
    private String name;

    @ApiModelProperty("责任人1")
    private String principleOne;
    @ApiModelProperty("责任人2")
    private String principleTwo;


    @ApiModelProperty("当前执行 检查状态 1待响应 2未响应 3已响应 4已完成")
    private Integer checkStatus;


    @ApiModelProperty(value = "提交时间")
    private Time submitTime;


    @ApiModelProperty(value = "创建时间", hidden = true)
    private LocalDateTime createdTime;

    @ApiModelProperty("是否禁用暂停")
    private Boolean pauseFlag;



}
