package com.factory.web.service.impl.remote;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.base.entity.constant.res.SystemConstant;
import com.factory.base.entity.po.remote.Dept;
import com.factory.user.mapper.DeptMapper;
import com.factory.web.service.remote.DeptService;
import org.springframework.stereotype.Service;

@Service("WebDeptService")
public class DeptServiceImpl extends ServiceImpl<DeptMapper, Dept> implements DeptService {

    @Override
    public String getDeptNameById(Long id) {
        String name = SystemConstant.EMPTY_STRING;
        if (id == null) {
            return name;
        }
        Dept dept = getById(id);
        if (dept != null) {
            name = dept.getName();
        }
        return name;
    }

    @Override
    public String getDeptNameByCode(Long code) {
        String name = SystemConstant.EMPTY_STRING;
        if (code == null) {
            return name;
        }
        Dept dept = getOne(Wrappers.<Dept>lambdaQuery()
                .eq(Dept::getDeptCode,code),false

        );
        if (dept != null) {
            name = dept.getName();
        }
        return name;
    }

}
