package com.factory.web.service.impl.remote;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.base.entity.constant.res.SystemConstant;
import com.factory.base.entity.po.file.FileInfo;
import com.factory.user.mapper.FileInfoMapper;
import com.factory.web.service.remote.FileInfoService;
import com.factory.web.util.assembler.WebFileInfoAssembler;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * 考虑独立文件服务器 暂时采用多数据源读库 后续按需求修改
 */

@DS("file")
@Service("WebFileInfoService")
@Transactional(propagation = Propagation.REQUIRES_NEW)
public class FileInfoServiceImpl extends ServiceImpl<FileInfoMapper, FileInfo> implements FileInfoService {

    @Resource
    private WebFileInfoAssembler webFileInfoAssembler;

    @Override
    public String getUrlById(Long fileInfoId) {
        if (fileInfoId == null) {
            return SystemConstant.EMPTY_STRING;
        }
        FileInfo fileInfo = getById(fileInfoId);
        return webFileInfoAssembler.getUrlByFileInfo(fileInfo);
    }

}
