package com.factory.file.controller;


import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.file.service.FileInfoService;
import com.factory.file.entity.vo.FileRes;
import com.factory.base.config.file.FileType;
import io.swagger.annotations.ApiOperation;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;

@Controller
@RequestMapping("/file")
public class FileController {

    @Resource
    private FileInfoService FileInfo;

    @ApiOperation(value = "文件上传")
    @PostMapping(value = "/uploadOneWithType")
    @ResponseBody
    public ResponseBean<FileRes> uploadOneWithType(@RequestBody MultipartFile file, FileType fileType) {
        return FileInfo.upload(file, fileType);
    }

    @ApiOperation(value = "文件上传")
    @PostMapping(value = "/uploadOne")
    @ResponseBody
    public ResponseBean<FileRes> upload(@RequestBody MultipartFile file) {
        return FileInfo.upload(file, null);
    }
    @ApiOperation(value = "文件上传(保存文件原名)")
    @PostMapping(value = "/uploadTwo")
    @ResponseBody
    public ResponseBean<FileRes> uploadTwo(@RequestBody MultipartFile file) {
        return FileInfo.uploadTwo(file);
    }
    @ApiOperation(value = "获取文件信息")
    @PostMapping(value = "/getInfo")
    @ResponseBody
    public ResponseBean<FileRes> getInfo(@RequestBody Long id) {
        return FileInfo.getByid(id);
    }

}
