package com.factory.base.entity.constant.time;

import java.time.format.DateTimeFormatter;
import java.time.format.DateTimeFormatterBuilder;
import java.time.temporal.ChronoField;

public interface TimeConstant {

    String DAY = "天";


    String HOUR_SECOND_PATTERN = "HH:mm";

    String FULL_TIME_PATTERN = "yyyy-MM-dd HH:mm:ss";

    String YEAR_MONTH_DAY_PATTERN = "yyyy-MM-dd";

    String MONTH_DAY_PATTERN = "MM-dd";

    String YEAR_MONTH_PATTERN = "yyyy-MM";

    String HOUR_SECOND_NO_ZERO_PATTERN = "H:mm";

    DateTimeFormatter MONTH_DAY_FORMATTER = DateTimeFormatter.ofPattern(TimeConstant.MONTH_DAY_PATTERN);
    DateTimeFormatter HOUR_SECOND_FORMATTER = DateTimeFormatter.ofPattern(HOUR_SECOND_PATTERN);
    DateTimeFormatter FULL_TIME_FORMATTER = DateTimeFormatter.ofPattern(FULL_TIME_PATTERN);
    DateTimeFormatter YEAR_MONTH_DAY_FORMATTER = DateTimeFormatter.ofPattern(TimeConstant.YEAR_MONTH_DAY_PATTERN);
    DateTimeFormatter YEAR_MONTH_FORMATTER = new DateTimeFormatterBuilder()
            .appendPattern(YEAR_MONTH_PATTERN)
            .parseDefaulting(ChronoField.DAY_OF_MONTH, 1)
            .toFormatter();
    DateTimeFormatter HOUR_SECOND_NO_ZERO_FORMATTER = DateTimeFormatter.ofPattern(HOUR_SECOND_NO_ZERO_PATTERN);

}
