package com.factory.base.entity.po.benteler;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 计划 - 检查项
 *
 * @author dl
 * @date 2021-06-26 12:35:17
 */
@Data
@TableName("benteler_ini_version_item")
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
public class BentelerIniVersionItem implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "计划ID")
    private Long planId;

    @ApiModelProperty(value = "版本号id")
    private Long versionId;

    @ApiModelProperty(value = "1首件 2两百 3中断 包括哪项")
    private String checkType;

    @ApiModelProperty(value = "工作站")
    private String workstation;

    @ApiModelProperty(value = "检验特性")
    private String inspectionItem;

    @ApiModelProperty(value = "检验方法")
    private String method;

    @ApiModelProperty(value = "检测标准值上限")
    private BigDecimal checkStandardTop;

    @ApiModelProperty(value = "检测标准值下限")
    private BigDecimal checkStandardFloor;

    @ApiModelProperty(value = "等级")
    private String level;

    @ApiModelProperty(value = "工位前缀")
    private String workPrefix;

    @ApiModelProperty(value = "检验工位首号")
    private Integer workStationBegin;

    @ApiModelProperty(value = "检验工位尾号")
    private Integer workStationEnd;

    @ApiModelProperty(value = "是否目视检查")
    private Boolean sightCheck;

    @ApiModelProperty(value = "工具")
    private String tool;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "逻辑删除", hidden = true)
    private Integer deleted;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人", hidden = true)
    private Long createdUserId;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间", hidden = true)
    private LocalDateTime createdTime;

    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(value = "最近更新人", hidden = true)
    private Long updatedUserId;

    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(value = "最近更新时间", hidden = true)
    private LocalDateTime updatedTime;

}
