package com.factory.base.entity.po.remote;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.factory.base.entity.constant.remote.RemoteCommonConstants;
import com.factory.base.entity.po.BaseIdPo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/*
 *工位
 * */
@NoArgsConstructor
@AllArgsConstructor
@Data
@TableName("bs_workstation")
public class Workstation extends BaseIdPo {

    @TableField(value = "`no`")
    private String no;

    @TableField(value = "name")
    private String name;

    @TableField(value = "craft_id")
    private Long craftId;

    @TableField(value = "production_line")
    private String productionLine;

    @TableField(value = "dept_id")
    private Long deptId;

    @TableField(value = "remark")
    private String remark;

    @ApiModelProperty(value = "是否删除 0 ：不删除 1：删除", hidden = true)
    @TableField(value = "del_flag")
    private int deleted = RemoteCommonConstants.NOT_DEL;
}
